Commit 9c656034 authored by Arnaud Blanchard's avatar Arnaud Blanchard
Browse files

Fix problem of ninja returning error when the program is already compiled

parent 62d14675
...@@ -29,7 +29,7 @@ echo ...@@ -29,7 +29,7 @@ echo
LOG=$(mktemp) || exit 1 LOG=$(mktemp) || exit 1
trap 'cat $LOG && rm -f "$LOG"' EXIT INT HUP TERM trap 'cat $LOG && rm -f "$LOG"' EXIT INT HUP TERM
$blaar_dir/compile.sh t_parse_args 2>&1> $LOG ( $blaar_dir/compile.sh t_parse_args 2>&1> $LOG; error=$?; test $error == 127 && echo "already compiled" || exit $error )
$blaar_dir/bin/t_parse_args "arg1" "arg2" 2> t_parse_args/test_result.log $blaar_dir/bin/t_parse_args "arg1" "arg2" 2> t_parse_args/test_result.log
git diff --exit-code t_parse_args/test_result.log || { echo "ERROR: The result of 't_parse_args' is not the one expected"; exit 3; } git diff --exit-code t_parse_args/test_result.log || { echo "ERROR: The result of 't_parse_args' is not the one expected"; exit 3; }
echo echo
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment